aboutsummaryrefslogtreecommitdiff
path: root/package/gstreamer
Commit message (Collapse)AuthorAgeFilesLines
* package/zbar: bump version to 0.22Gravatar Peter Seiderer2019-03-121-3/+3
| | | | | | | | | | | | | | | - change from git download to official release and download site (drop need for autoreconf) - drop dependency on kernel headers >= 3.17 (should be fixed with commit 'v4l2: make ZBar build and run on Kernels < 3.16' (see [1]), fall back to original kernel headers >= 3.0 dependency propagated from libv4l [1] https://git.linuxtv.org/zbar.git/commit/?id=fa5c48127ec1e3670e28540c2e6a03431ebac5b8 Signed-off-by: Peter Seiderer <ps.report@gmx.net> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@bootlin.com>
* package/gst-plugins-bad: remove apexsink supportGravatar Fabrice Fontaine2019-03-072-11/+1
| | | | | | | | | | | | apexsink does not build with OpenSSL 1.1.x so remove this option especially because there is no more apexsink option in gstreamer1 (since version 1.12) Fixes: - http://autobuild.buildroot.org/results/a29e8a8509190fc4b3c419dae2301cf72a601f62 Signed-off-by: Fabrice Fontaine <fontaine.fabrice@gmail.com> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@bootlin.com>
* package/gst-plugins-bad: allow static build of zbar pluginGravatar Fabrice Fontaine2019-03-071-3/+2
| | | | | | | | | zbar can be built statically since commit fc4a6abfa6bbffeabefb9967dbf378c410fb6318 so remove the dynamic library dependency from BR2_PACKAGE_GST_PLUGINS_BAD_ZBAR Signed-off-by: Fabrice Fontaine <fontaine.fabrice@gmail.com> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@bootlin.com>
* package/gst-plugins-bad: disable spandspGravatar Fabrice Fontaine2019-03-041-1/+2
| | | | | | | | | | | gst-plugins-bad does not build with spandsp so disable it (it's already disabled in gst1-plugins-bad) Fixes: - http://autobuild.buildroot.org/results/842ca572b7810bca70846274262a6fcdb38df49 Signed-off-by: Fabrice Fontaine <fontaine.fabrice@gmail.com> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* zbar: needs kernel headers >= 3.17Gravatar Fabrice Fontaine2019-01-281-3/+3
| | | | | | | | | | | v4l2_query_ext_ctrl has been added in kernel 3.17: https://github.com/torvalds/linux/commit/5082c2417841e64df975789011e182ce99a9dacd Fixes: - http://autobuild.buildroot.org/results/d7b244cf9488eafb59ba8575f17884f4f8512db1 Signed-off-by: Fabrice Fontaine <fontaine.fabrice@gmail.com> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* gstreamer: fix build on riscvGravatar Fabrice Fontaine2018-11-181-1/+1
| | | | | | | | | | | | | | RISC-V supports unaligned accesses, but these might run extremely slowly depending on the implementation so set as_cv_unaligned_access to no on this architecture, see: https://gitlab.freedesktop.org/gstreamer/gstreamer/commit/8a156d1725ecd03f2e8cdc8874e081dda2d3b43d Fixes: - http://autobuild.buildroot.org/results/dca32c929350311fca1a85e251d318b43c4a3177 Signed-off-by: Fabrice Fontaine <fontaine.fabrice@gmail.com> Reviewed-by: Peter Seiderer <ps.report@gmx.net> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* package/gst-dsp: remove packageGravatar Matt Weber2018-10-264-31/+0
| | | | | | | | | | | | | The suit of TI OMAP3 dsp tools/libraries are being removed as the upstream projects are no longer active. The gst-dsp package used the tidsp-binaries package. Suggest using Buildroot 2018.02.x LTS if the feature is still required. Signed-off-by: Matthew Weber <matthew.weber@rockwellcollins.com> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* package: propagate pulseaudio dependencies correctlyGravatar Thomas Petazzoni2018-07-311-2/+5
| | | | | | | | | | | | | The BR2_PACKAGE_PULSEAUDIO_HAS_ATOMIC dependency of BR2_PACKAGE_PULSEAUDIO was not properly propagated to reverse dependencies, causing the following kconfig warning: warning: (BR2_PACKAGE_ESPEAK_AUDIO_BACKEND_PULSEAUDIO && BR2_PACKAGE_GST_PLUGINS_GOOD_PLUGIN_PULSE && BR2_PACKAGE_GST1_PLUGINS_GOOD_PLUGIN_PULSE && BR2_PACKAGE_KODI_PULSEAUDIO && BR2_PACKAGE_MPD_PULSEAUDIO && BR2_PACKAGE_EFL_PULSEAUDIO) selects BR2_PACKAGE_PULSEAUDIO which has unmet direct dependencies (BR2_PACKAGE_PULSEAUDIO_HAS_ATOMIC && BR2_USE_WCHAR && BR2_TOOLCHAIN_HAS_THREADS && !BR2_STATIC_LIBS && BR2_USE_MMU) This commit fixes that by propagating the dependency as it should have been done. Signed-off-by: Thomas Petazzoni <thomas.petazzoni@bootlin.com>
* Revert "librsvg: bump to version 2.42.5"Gravatar Thomas Petazzoni2018-07-161-2/+0
| | | | | | | | | | | | | | This reverts commit 1ec1f865515223426518e0709d4ca8b57dded6fc, which causes numerous build failures due to Rust handling problems. See the thread at http://lists.busybox.net/pipermail/buildroot/2018-June/223642.html for details. Fixes (or rather avoids): http://autobuild.buildroot.net/results/26102d0ec258d5ef3af36ac32371fba1c996965b/ Signed-off-by: Thomas Petazzoni <thomas.petazzoni@bootlin.com>
* gstreamer: fix build on AArch64 BEGravatar Thomas Petazzoni2018-06-301-1/+1
| | | | | | | | | | | | | We recently enabled AArch64 big-endian testing in the autobuilders, and gstreamer started failing because it does an AC_TRY_RUN() test to check if unaligned accesses are allowed or not. We already handled the AArch64 LE case, but not the AArch64 BE case, so let's handle it. Fixes: http://autobuild.buildroot.net/results/b061948b04b42e753e52607f395ed7c597a52c68/ Signed-off-by: Thomas Petazzoni <thomas.petazzoni@bootlin.com>
* librsvg: bump to version 2.42.5Gravatar Fabrice Fontaine2018-06-101-0/+2
| | | | | | | | | | | | | | - Add a dependency to host-cargo - Add a patch to set RUST_TARGET - Add a dependency to BR2_PACKAGE_HOST_RUSTC_ARCH_SUPPORTS - Forward this dependency to efl svg, enlightment, gst-plugins-bad and gst1-plugins-bad - Add hash for license file Signed-off-by: Fabrice Fontaine <fontaine.fabrice@gmail.com> [Thomas: propagate the new dependency to the gst-plugins-bad and gst1-plugins-bad Config.in comments.] Signed-off-by: Thomas Petazzoni <thomas.petazzoni@bootlin.com>
* toolchain: allow disabling packages affected by gcc bug 85180Gravatar Matt Weber2018-05-301-0/+4
| | | | | | | | | | | | | | | | | Works around https://gcc.gnu.org/bugzilla/show_bug.cgi?id=85180 which is an issue where the Microblaze architecture had code that caused a infinite recursion while optimizing in versions of GCC earlier than 8.x. More BR discussion can be found on this thread. http://buildroot-busybox.2317881.n4.nabble.com/autobuild-buildroot-net-Build-results-for-2018-04-25-td192721.html Resolves: http://autobuild.buildroot.net/results/b42d68c66d8ea035845a28c5530ef0682fd95713 (boost) http://autobuild.buildroot.net/results/af976a4805fb8b3f0c17a8e3a1f901b2255caa0b (flare-engine) http://autobuild.buildroot.net/results/d20/d20700bd538ba1e9d45ab8a61ecbbba1a320ef38 (gst-ffmpeg) CC: Romain Naour <romain.naour@gmail.com> Signed-off-by: Matthew Weber <matthew.weber@rockwellcollins.com> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@bootlin.com>
* package: remove Blackfin related codeGravatar Thomas Petazzoni2018-04-151-1/+0
| | | | Signed-off-by: Thomas Petazzoni <thomas.petazzoni@bootlin.com>
* package/*/Config.in: fix help text check-package warningsGravatar Thomas Petazzoni2017-12-185-21/+22
| | | | | | | | | | | | | This commit fixes the warnings reported by check-package on the help text of all package Config.in files, related to the formatting of the help text: should start with a tab, then 2 spaces, then at most 62 characters. The vast majority of warnings fixed were caused by too long lines. A few warnings were related to spaces being used instead of a tab to indent the help text. Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* Fix makefile include order by using sort/wildcard.Gravatar Peter Seiderer2017-11-241-1/+1
| | | | | | | | | | | | | | | | | | | | | | | | The 'include' directive in GNU make supports wildcards, but their expansion has no defined sort order (GLOB_NOSORT is passed to glob()). Usually this doesn't matter. However, there is at least one case where it does make a difference: toolchain/*/*.mk includes both the definitions of the external toolchain packages and pkg-toolchain-external.mk, but pkg-toolchain-external.mk must be included first. For predictability, use ordered 'include $(sort $(wildcard ...))' instead of unordered direct 'include */*.mk' everywhere. Fixes [1] reported by Petr Vorel: make: *** No rule to make target 'toolchain-external-custom', needed by '.../build/toolchain-external/.stamp_configured'. Stop. [1] http://lists.busybox.net/pipermail/buildroot/2017-November/206969.html Signed-off-by: Peter Seiderer <ps.report@gmx.net> Tested-by: Petr Vorel <petr.vorel@gmail.com> [Arnout: also sort the one remaining include, of the external docs] Signed-off-by: Arnout Vandecappelle (Essensium/Mind) <arnout@mind.be>
* gstreamer: needs dynamic librariesGravatar Arnout Vandecappelle (Essensium/Mind)2017-11-051-2/+4
| | | | | | | | | | | | | | | | | Fixes: http://autobuild.buildroot.net/results/49d/49dcec0bd2f3bb78c18675a9fa5c9c53cc183fd2/ g_cclosure_marshal_VOID__VOID is defined both in libgobject.a and libgstreamer.a. It is probably possible to fix this, but gstreamer0.10 has been deprecated for a long time now and is anyway unlikely to be used in static-only situations, so let's just require dynamic linking. Propagate to the reverse dependencies. opencv3 already did depend on dynamic libs. [Peter: add autobuild reference] Signed-off-by: Arnout Vandecappelle (Essensium/Mind) <arnout@mind.be> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* package/pulseaudio: bump version to 11.1Gravatar Bernd Kuhls2017-09-241-2/+0
| | | | | | | | | | | | | Dependency to json-c was dropped, updated reverse dependencies as well and added optional dependency to libatomic_ops https://cgit.freedesktop.org/pulseaudio/pulseaudio/tree/configure.ac#n250 when __sync_bool_compare_and_swap is not available. Removed patch applied upstream: 0002-webrtc-C-11-is-only-required-for-WebRTC-support.patch Signed-off-by: Bernd Kuhls <bernd.kuhls@t-online.de> Signed-off-by: Arnout Vandecappelle (Essensium/Mind) <arnout@mind.be>
* packages/g*/Config.in: fix ordering of statementsGravatar Adam Duskett2017-05-013-11/+11
| | | | | | | | | | | | | The check-package script when ran gives warnings on ordering issues on all of these Config files. This patch cleans up all warnings related to the ordering in the Config files for packages starting with the letter g in the package directory. The appropriate ordering is: type, default, depends on, select, help See http://nightly.buildroot.org/#_config_files for more information. Signed-off-by: Adam Duskett <Adamduskett@outlook.com> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* package: use SPDX short identifier for license string in commentsGravatar Rahul Bedarkar2017-04-172-3/+3
| | | | | | | | | | | We have started using SPDX short identifier for license string in <PKG>_LICENSE variable. But license strings in comments are still using old strings. For consistency, use SPDX short identifier in comments as well. Cc: Arnout Vandecappelle (Essensium/Mind) <arnout@mind.be> Signed-off-by: Rahul Bedarkar <rahulbedarkar89@gmail.com> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* gst-plugins-base: fix handling of freetypeGravatar Ricardo Martincoski2017-04-121-3/+3
| | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | In 2010 commit 32d319e6f "gst-plugins-base: ensure <stdint.h> is used" introduced a typo (missing backslash) that made the code ineffective. It can be confirmed by looking at the output of: $ make printvars | grep '^GST_PLUGINS_BASE_CONF_ENV\|^FT2_CONFIG' FT2_CONFIG=/bin/false ac_cv_header_stdint_t="stdint.h" GST_PLUGINS_BASE_CONF_ENV= Add the missing backslash to fix the code. While at it, fix the indentation to use one tab instead of two. The (end of the) diff of config.log confirms the code is still needed when the host has freetype-config installed: @@ -1674,10 +1674,8 @@ configure:21882: checking for emmintrin.h configure:21882: result: no configure:21894: checking for stdint types -configure:21917: /tmp/gst/output/host/usr/bin/i686-pc-linux-gnu-gcc -std=gnu99 -c conftest.c >&5 -configure:21917: $? = 0 configure:21961: result: stdint.h (shortcircuit) -configure:22348: result: make use of stdint.h in _stdint.h (assuming C99 compatible system) +configure:22348: result: make use of stdint.h in _stdint.h configure:22359: checking for localtime_r configure:22359: /tmp/gst/output/host/usr/bin/i686-pc-linux-gnu-gcc -std=gnu99 -o conftest -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64 -Os -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64 conftest.c >&5 configure:22359: $? = 0 @@ -2468,8 +2466,7 @@ Package 'freetype2', required by 'world', not found configure:31257: result: no configure:31298: checking for freetype-config -configure:31316: found /usr/bin/freetype-config -configure:31329: result: /usr/bin/freetype-config +configure:31329: result: /bin/false configure:31339: checking for FreeType - version >= 2.0.9 configure:31427: result: yes configure:32250: creating ./config.status @@ -2789,7 +2786,7 @@ ac_cv_objext='o' ac_cv_path_EGREP='/bin/grep -E' ac_cv_path_FGREP='/bin/grep -F' -ac_cv_path_FT2_CONFIG='/usr/bin/freetype-config' +ac_cv_path_FT2_CONFIG='/bin/false' ac_cv_path_GMSGFMT='/tmp/gst/output/host/usr/bin/msgfmt' ac_cv_path_GREP='/bin/grep' ac_cv_path_MSGFMT='/tmp/gst/output/host/usr/bin/msgfmt' @@ -2818,7 +2815,6 @@ ac_cv_prog_cxx_g='yes' ac_cv_prog_make_make_set='yes' ac_cv_stdint_message='using gnu compiler i686-pc-linux-gnu-gcc (Sourcery CodeBench Lite 2012.09-62) 4.7.2' -ac_cv_stdint_result='(assuming C99 compatible system)' ac_cv_sys_file_offset_bits='no' ac_cv_sys_largefile_CC='no' ac_cv_sys_largefile_source='no' @@ -2965,9 +2961,9 @@ EXEEXT='' FFLAGS=' -Os ' FGREP='/bin/grep -F' -FT2_CFLAGS='-I/usr/include/freetype2' -FT2_CONFIG='/usr/bin/freetype-config' -FT2_LIBS='-lfreetype' +FT2_CFLAGS='' +FT2_CONFIG='/bin/false' +FT2_LIBS='' GCOV='' GCOV_CFLAGS='' GCOV_LIBS='' Detected by check-package. Signed-off-by: Ricardo Martincoski <ricardo.martincoski@gmail.com> Cc: Thomas Petazzoni <thomas.petazzoni@free-electrons.com> Reviewed-by: Arnout Vandecappelle (Essensium/Mind) <arnout@mind.be> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* gst-ffmpeg: work-around bogus configure logic on SPARCGravatar Thomas Petazzoni2017-04-041-0/+6
| | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | The libav version built into the gst-ffmpeg code produces a bogus binary on SPARC, which causes the following error of the check-bin-arch script: ERROR: architecture for ./usr/lib/gstreamer-0.10/libgstffmpeg.so is Sparc v8+, should be Sparc ERROR: architecture for ./usr/lib/gstreamer-0.10/libgstpostproc.so is Sparc v8+, should be Sparc ERROR: architecture for ./usr/lib/gstreamer-0.10/libgstffmpegscale.so is Sparc v8+, should be Sparc The problem is the following bit of code in gst-lib/ext/libav/configure: elif enabled sparc; then enabled vis && check_asm vis '"pdist %f0, %f0, %f0"' -mcpu=ultrasparc && add_cflags -mcpu=ultrasparc -mtune=ultrasparc I.e, it checks if the architecture supports the pdist instruction... but forces -mcpu to ultrasparc while doing so. So it's like "let's see if this Ultrasparc instruction exists when I force the compiler to think I'm using Ultrasparc", which is non-sensical. This has been fixed later on in libav upstream: https://git.libav.org/?p=libav.git;a=commit;h=6aa93689abe8c095cec9fa828c2dee3131008995 However, this commit cannot be backported as-is since the shell function check_inline_asm did not exist in the old libav version bundled in gst-ffmpeg. Therefore, we take the simpler route of disabling the VIS optimizations on SPARCv8 and Leon3. Fixes: http://autobuild.buildroot.net/results/e82d179c3d4f92ad7423693a4b1d42379a3f5411/ Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* package: use SPDX short identifier for LGPLv2/LGPLv2+Gravatar Rahul Bedarkar2017-04-014-4/+4
| | | | | | | | | | | We want to use SPDX identifier for license string as much as possible. SPDX short identifier for LGPLv2/LGPLv2+ is LGPL-2.0/LGPL-2.0+. This change is done using following command. find . -name "*.mk" | xargs sed -ri '/LICENSE( )?[\+:]?=/s/LGPLv2(\+)?/LGPL-2.0\1/g' Signed-off-by: Rahul Bedarkar <rahulbedarkar89@gmail.com> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* package: use SPDX short identifier for LGPLv3/LGPLv3+Gravatar Rahul Bedarkar2017-04-011-1/+1
| | | | | | | | | | | We want to use SPDX identifier for license string as much as possible. SPDX short identifier for LGPLv3/LGPLv3+ is LGPL-3.0/LGPL-3.0+. This change is done using following command. find . -name "*.mk" | xargs sed -ri '/LICENSE( )?[\+:]?=/s/LGPLv3(\+)?/LGPL-3.0\1/g' Signed-off-by: Rahul Bedarkar <rahulbedarkar89@gmail.com> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* boot, package: use SPDX short identifier for LGPLv2.1/LGPLv2.1+Gravatar Rahul Bedarkar2017-04-015-5/+5
| | | | | | | | | | | We want to use SPDX identifier for license string as much as possible. SPDX short identifier for LGPLv2.1/LGPLv2.1+ is LGPL-2.1/LGPL-2.1+. This change is done using following command. find . -name "*.mk" | xargs sed -ri '/LICENSE( )?[\+:]?=/s/LGPLv2.1(\+)?/LGPL-2.1\1/g' Signed-off-by: Rahul Bedarkar <rahulbedarkar89@gmail.com> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* boot, package: use SPDX short identifier for GPLv3/GPLv3+Gravatar Rahul Bedarkar2017-04-011-1/+1
| | | | | | | | | | | | We want to use SPDX identifier for license string as much as possible. SPDX short identifier for GPLv3/GPLv3+ is GPL-3.0/GPL-3.0+. This change is done using following command. find . -name "*.mk" | xargs sed -ri '/LICENSE( )?[\+:]?=/s/\<GPLv3\>/GPL-3.0/g' Signed-off-by: Rahul Bedarkar <rahulbedarkar89@gmail.com> Acked-by: Arnout Vandecappelle (Essensium/Mind) <arnout@mind.be> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* boot, linux, package: use SPDX short identifier for GPLv2/GPLv2+Gravatar Rahul Bedarkar2017-04-014-4/+4
| | | | | | | | | | | We want to use SPDX identifier for license strings as much as possible. SPDX short identifier for GPLv2/GPLv2+ is GPL-2.0/GPL-2.0+. This change is done by using following command. find . -name "*.mk" | xargs sed -ri '/LICENSE( )?[\+:]?=/s/\<GPLv2\>/GPL-2.0/g' Signed-off-by: Rahul Bedarkar <rahulbedarkar89@gmail.com> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* gstreamer: fix unaligned detection for or1kGravatar Peter Korsgaard2017-02-181-1/+1
| | | | | | Similar to how we do it for the other niche/new architectures. Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* gst-plugins-base: add missing dependency on libxml2 for subparseGravatar Danomi Manchego2017-01-272-3/+5
| | | | | | | | | | | The gst-plugins-base configure script claims that the subparse plugin is dependency-less - but it also silently disables subparse if libxml2 is not available. So depend on libxml2 when subparse is selected. Note: the analogous gst1 subparse plugin does not have this requirement. Signed-off-by: Danomi Manchego <danomimanchego123@gmail.com> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* package/libvpx: disable on blackfinGravatar Bernd Kuhls2017-01-091-0/+1
| | | | | | | | | | | | | Fixes http://autobuild.buildroot.net/results/533/533810941afbdd71cdd3eaeeb654ec3728daade0/ Triggers toolchain issue: /tmp/ccpKbTiO.s: Assembler messages: /tmp/ccpKbTiO.s:3800: Error: pcrel too far BFD_RELOC_BFIN_5 [Peter: extend commit message] Signed-off-by: Bernd Kuhls <bernd.kuhls@t-online.de> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* MIPS: replace every BR2_mips_* with the new MIPS CPU optionsGravatar Vicente Olivert Riera2016-10-151-1/+1
| | | | | Signed-off-by: Vicente Olivert Riera <Vincent.Riera@imgtec.com> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* Replace (e)glibc by glibcGravatar Thomas Petazzoni2016-06-282-2/+2
| | | | | | | | | | | | | | | | Following the removal of eglibc support, this commit replaces all occurences of "(e)glibc" by just "glibc". Most of the occurences are in package Config.in comments. In addition, when the form "an (e)glibc ..." was used, it is replaced by "a glibc ...". [Peter: add new efi* packages, s/uclibc/uClibc as suggested by Romain, systemd / liquid-dsp tweaks as suggested by Yann] Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com> Reviewed-by: Romain Naour <romain.naour@gmail.com> Acked-by: "Yann E. MORIN" <yann.morin.1998@free.fr> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* package/gstreamer: add hash fileGravatar Yann E. MORIN2016-06-191-0/+2
| | | | | Signed-off-by: "Yann E. MORIN" <yann.morin.1998@free.fr> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* imx-vpuwrap: rename from libfslvpuwrap and bump version to 1.0.65Gravatar Andrew Webster2016-06-152-2/+2
| | | | | | | | | | | | | | | | | Changelog: --Update 'nLastFrameEndPosPhy' in seqinit stage to avoid feed the same SPS to vpu repeatedly. This patch is based on the Yocto equivalent: https://github.com/Freescale/meta-fsl-arm/commit/d6b9490 Implicitly tested through gstreamer as the 0.10 plugin relies on it: # gst-launch-0.10 playbin uri=file:///root/tears_of_steel_1080p.webm Signed-off-by: Andrew Webster <awebster@arcx.com> Reviewed-by: Gary Bisson <gary.bisson@boundarydevices.com> Tested-by: Gary Bisson <gary.bisson@boundarydevices.com> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* imx-parser: rename from libfslparser and bump version to 4.0.9Gravatar Andrew Webster2016-06-152-2/+2
| | | | | | | | | | | | | | | | Changelog: --Add aac latm parser in parser_libs, support aac latm in mpeg2 parser This patch is based on the Yocto equivalent: https://github.com/Freescale/meta-fsl-arm/commit/e2c6f10 Implicitly tested through gstreamer as the 0.10 plugin relies on it: # gst-launch-0.10 playbin uri=file:///root/tears_of_steel_1080p.webm Signed-off-by: Andrew Webster <awebster@arcx.com> Reviewed-by: Gary Bisson <gary.bisson@boundarydevices.com> Tested-by: Gary Bisson <gary.bisson@boundarydevices.com> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* imx-codec: rename from libfslcodec and bump version to 4.0.9Gravatar Andrew Webster2016-06-152-3/+3
| | | | | | | | | | | | | | | | | | Changelog: --[aac_dec] refine the code for pure c build aac decoder c build need float point support, which use some float point function. This patch is based on the Yocto equivalent: https://github.com/Freescale/meta-fsl-arm/commit/4b91194 Implicitly tested through gstreamer as the 0.10 plugin relies on it: # gst-launch-0.10 playbin uri=file:///root/tears_of_steel_1080p.webm Signed-off-by: Andrew Webster <awebster@arcx.com> Reviewed-by: Gary Bisson <gary.bisson@boundarydevices.com> Tested-by: Gary Bisson <gary.bisson@boundarydevices.com> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* package/gstreamer/gst-ffmpeg: needs gcc >= 5.x on SuperHGravatar Bernd Kuhls2016-05-301-0/+5
| | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | Compilation triggers an ICE in gcc with gcc <= 4.9 using this defconfig BR2_sh=y BR2_TOOLCHAIN_BUILDROOT_WCHAR=y BR2_PACKAGE_GSTREAMER=y BR2_PACKAGE_GST_FFMPEG=y BR2_PACKAGE_GST_FFMPEG_GPL=y The problem is known upstream, a fix was never committed to gcc <= 4.9: https://gcc.gnu.org/bugzilla/show_bug.cgi?id=65151 Compiling gst-ffmpeg with gcc5 works fine using this defconfig: BR2_sh=y BR2_TOOLCHAIN_BUILDROOT_WCHAR=y BR2_GCC_VERSION_5_X=y BR2_PACKAGE_GSTREAMER=y BR2_PACKAGE_GST_FFMPEG=y BR2_PACKAGE_GST_FFMPEG_GPL=y This patch adds a dependency to gcc >= 5.x to fix the problem as suggested by Thomas: http://lists.busybox.net/pipermail/buildroot/2016-February/152584.html Fixes http://autobuild.buildroot.net/results/939/939da0c7771ddd97c05cedc0a7afc0ad34a21312/ [Peter: fix ML link, simplify kconfig, add comment explaining why] Signed-off-by: Bernd Kuhls <bernd.kuhls@t-online.de> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* freescale-imx: add BR2_PACKAGE_FREESCALE_IMX_HAS_VPU configGravatar Gary Bisson2016-03-292-3/+6
| | | | | | | | | | | | | | | | | | | Since the imx-vpu package build is skipped if the platform doesn't have a VPU, libraries dependent on the package such as libimxvpuapi can fail although the imx-vpu package build went "fine". This patch therefore adds a BR2_PACKAGE_FREESCALE_IMX_HAS_VPU config which is used in every package selecting imx-vpu directly or indrectly. It fixes the following build errors: http://autobuild.buildroot.net/results/892/8924b17f3aa5eba1a8016d84d4478ecb0a96b236/ http://autobuild.buildroot.net/results/86f/86fef2a30065d5bc0d7755706e9ca3332426834d/ http://autobuild.buildroot.net/results/b47/b47eb03e93e2f1af85caebb707f7b4667f7e3d74/ http://autobuild.buildroot.net/results/4c9/4c9b22b33533132fd9f88917cc341ae2c2e171a8/ http://autobuild.buildroot.net/results/a8b/a8b33bfd099d9b9cd383cc568ea70846eb13c34d/ Signed-off-by: Gary Bisson <gary.bisson@boundarydevices.com> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* gstreamer: add missing plugin hash filesGravatar Carlos Santos2016-02-273-0/+6
| | | | | | | | | | | Hash files for - gst-dsp - gst-omapfb - gst-plugin-x170 Signed-off-by: Carlos Santos <casantos@datacom.ind.br> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* gst-omapfb: Move download link away from Google CodeGravatar Alan Ott2016-02-251-2/+2
| | | | | | | | | | | | Google Code is being shut down. The google code site which hosts the source .tar.gz references github/felipec, which has a gst-omapfb repository with the same code as the tar.gz previously referenced. Change the GST_OMAPFB_SITE to this github repo. Signed-off-by: Alan Ott <alan@softiron.co.uk> Signed-off-by: Carlos Santos <casantos@datacom.ind.br> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* gst-dsp: Move download link away from Google CodeGravatar Alan Ott2016-02-251-2/+2
| | | | | | | | | | | | Google Code is being shut down. The google code site which hosts the source .tar.gz references github/felipec, which has a gst-dsp repository with the same code as the tar.gz previously referenced. Change the GST_DSP_SITE to this github repo. Signed-off-by: Alan Ott <alan@softiron.co.uk> Signed-off-by: Carlos Santos <casantos@datacom.ind.br> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* cairo, harfbuzz: rework atomic dependenciesGravatar Thomas Petazzoni2016-02-063-5/+4
| | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | This commit handles the reverse dependency tree of cairo in terms of atomic dependencies. There are two main changes: - cairo in fact no longer needs atomic operations. It can perfectly build without any __sync built-in, as was tested using an ARC toolchain without atomics, and a SPARC toolchain. Optionally, Cairo can use the __atomic builtins provided by gcc >= 4.7, so support for this is added as well. Thanks to this change, the BR2_ARCH_HAS_ATOMICS dependency is removed from cairo and all its reverse dependencies. - harfbuzz does require the __sync built-in for 4 bytes integers, so we add a dependency on BR2_TOOLCHAIN_HAS_SYNC_4 to harfbuzz and all its reverse dependency, the main one being the pango package. Due to this, the vast majority of gtk-related packages are moved to a dependency on BR2_ARCH_HAS_ATOMICS (which used to be due to cairo) to a dependency on BR2_TOOLCHAIN_HAS_SYNC_4 (due to pango -> harfbuzz). In detail: - cairo Remove BR2_ARCH_HAS_ATOMICS dependency, link against -latomic when gcc >= 4.8 in order to use the __atomic functions. - harfbuzz Add dependency on BR2_TOOLCHAIN_HAS_SYNC_4 - cairomm, gst-plugins-good, gst1-plugins-good, libgdiplus, libsvg-cairo, weston Remove BR2_ARCH_HAS_ATOMICS dependency (since cairo no longer needs atomics) - enlightenment, cwiid, gst-plugins-bad, gst-plugins-base, gst1-plugins-bad, gst1-plugins-base, gtkmm3, libevas-generic-loaders, libfm, libgail, libgtk2, libgtk3, librsvg, openbox, opencv, opencv3, pango, pangomm, pcmanfm, pinentry, rrdtool, webkit, webkitgtk24, xscreensaver Switch from a BR2_ARCH_HAS_ATOMICS dependency to a BR2_TOOLCHAIN_HAS_SYNC_4 (they depend on pango, harfbuzz, gtk, or some other related package) - directfb Remove BR2_ARCH_ATOMICS dependency of the BR2_PACKAGE_DIRECTFB_SVG (since cairo can build without atomics), but add a BR2_TOOLCHAIN_HAS_SYNC_4 dependency on BR2_PACKAGE_DIRECTFB itself since it does use __sync built-ins. This replaces the !BR2_sparc dependency. Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* pulseaudio: remove BR2_ARCH_HAS_ATOMICS dependencyGravatar Thomas Petazzoni2016-02-061-2/+0
| | | | | | | | | | | | | | | | | | | | | pulseaudio is able to either use the atomic __sync builtins from the compiler, or to rely on libatomic_ops for atomic operations. However, since it anyway selects json-c which requires the __sync built-ins, it means using libatomic_ops is useless: even if you use libatomic_ops for pulseaudio, you'd still get a link error in pulseaudio due to the missing __sync built-in for the json-c library. Also, since pulseaudio now inherits the BR2_TOOLCHAIN_HAS_SYNC_4 from json-c, which matches the __sync built-in from pulseaudio, this commit: - Drops the BR2_ARCH_HAS_ATOMICS dependency - Forces pulseaudio to not detect libatomic_ops - Propagates the removal of BR2_ARCH_HAS_ATOMICS dependency to pulseaudio's reverse dependencies. Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com> Reviewed-by: "Yann E. MORIN" <yann.morin.1998@free.fr>
* json-c: needs __sync_val_compare_and_swap_4Gravatar Thomas Petazzoni2016-02-061-0/+2
| | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | While json-c itself builds fine on platforms that don't provide the __sync atomic built-ins, it does use them. json-c doesn't fail to build because only a library is built, so such function calls are left unresolved. But as soon as it gets used in another package linked in a program, linking will fail due to the missing __sync_val_compare_and_swap_4() function. To fix this, we make json-c depend on BR2_TOOLCHAIN_HAS_SYNC_4, and propagate to the reverse dependencies: - json-c - fastd - pulseaudio - efl - espeak - gst-plugins-good - gst1-plugins-good - mpd - rsyslog - ubus Note that pulseaudio already had a BR2_ARCH_HAS_ATOMICS dependency, which we are keeping for the moment, and will clean-up in a subsequent commit. This commit will also fix packages that could optionally use json-c, and therefore fixes build failures like: http://autobuild.buildroot.org/results/4fe/4feaa9089ee9a183c5086b791bea35c0156945af/ Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com> Reviewed-by: "Yann E. MORIN" <yann.morin.1998@free.fr>
* package/gstreamer/gst-plugins-base: Fix build on x86 if emmintrin.h is ↵Gravatar Bernd Kuhls2016-02-012-0/+65
| | | | | | | | | | | | | available but can't be used I stumbled across this error using a musl-based allyesconfig but I doubt it is related to musl. The autobuilders did not catch this problem yet but the patch I found fits my config (BR2_i386=y, BR2_x86_i586=y) and it solved the problem right away. [Peter: pick patches from upstream git instead of downloading from alphine] Signed-off-by: Bernd Kuhls <bernd.kuhls@t-online.de> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* package/gstreamer/gst-plugins-ugly: Fix cdio-related build errorsGravatar Bernd Kuhls2016-02-012-0/+4
| | | | | | | | | Fixes http://autobuild.buildroot.net/results/530/53003be0dc2cb76d497a167023c5c45666fd00b4/ http://autobuild.buildroot.net/results/b23/b2393cd50c20da919d6111e15b78d12cc784841f/ Signed-off-by: Bernd Kuhls <bernd.kuhls@t-online.de> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* gst-ffmpeg: disable for MIPS R6Gravatar Vicente Olivert Riera2016-01-191-0/+3
| | | | | | | | | | | | This package bundles a version of libav which doesn't have support for MIPS R6. Fixes: http://autobuild.buildroot.org/results/e54/e54f0f9aa8fbc1760379ce64d17422810864b56b/ Signed-off-by: Vicente Olivert Riera <Vincent.Riera@imgtec.com> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* package/gstreamer/zbar-plugin: propagate dependencies from zbarGravatar Romain Naour2016-01-011-0/+10
| | | | | | | | | | | | BR2_PACKAGE_GST_PLUGINS_BAD_ZBAR select BR2_PACKAGE_ZBAR which has several dependencies from libv4l. Propagate these dependencies to avoid unmet dependencies while selecting BR2_PACKAGE_GST_PLUGINS_BAD_ZBAR. [Peter: show comment if toolchain dependencies aren't available] Signed-off-by: Romain Naour <romain.naour@gmail.com> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* libcdaudio: disable on nios2, binutils assertion failureGravatar Thomas Petazzoni2015-12-301-0/+1
| | | | | | | | Fixes: http://autobuild.buildroot.org/results/539/5397c51bc6915a082e873dee2d298f433172ef4d/ Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* package/gstreamer: move comment around, to keep proper indentationGravatar Yann E. MORIN2015-12-281-4/+4
| | | | | | | | | | | | | In Kconfig, when there is an item (like a comment) between a symbol and its dependees, then the indentation is not in effect. Move the symbol to the top of the file to guarantee the indentation in menuconfig. In this case, it means the gstremaer plugins are not indented below the main gstreamer prompt. Signed-off-by: "Yann E. MORIN" <yann.morin.1998@free.fr>
* gst-plugins-bad: add zbar pluginGravatar Volkov Viacheslav2015-12-202-0/+11
| | | | | | | Add gstreamer zbar plugin. Signed-off-by: Viacheslav Volkov <sv99@inbox.ru> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>